diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 6cfd629..0a76280 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -81350,17 +81350,8 @@ RealClosure(TheField): PUB == PRIV where
    N         ==> PositiveInteger
    RN        ==> Fraction Z
    LF        ==> ListFunctions2($,N)
-
--- *****************************************************************
--- *****************************************************************
---             PUT YOUR OWN PREFERENCE HERE
--- *****************************************************************
--- *****************************************************************
    PME       ==> SparseUnivariatePolynomial($)
    SEG       ==> RightOpenIntervalRootCharacterization($,PME)
--- *****************************************************************
--- *****************************************************************
-
 
    PUB == Join(RealClosedField,
                FullyRetractableTo TheField,
@@ -81522,13 +81513,13 @@ RealClosure(TheField): PUB == PRIV where
           x case TheField => n *$TheField x
           zero?(n) => 0
           one?(n) => x
-          [x.seg,map(n * #1, x.val),x.outForm,x.order]$Rec
+          [x.seg,map(z+->n*z, x.val),x.outForm,x.order]$Rec
 
        (rn:TheField * x:$):$ == 
           x case TheField => rn *$TheField x
           zero?(rn) => 0
           one?(rn) => x
-          [x.seg,map(rn * #1, x.val),x.outForm,x.order]$Rec
+          [x.seg,map(z+->rn*z, x.val),x.outForm,x.order]$Rec
 
        (x:$ * y:$):$ ==
           (x case TheField) and (y case TheField) => x *$TheField y
@@ -81537,9 +81528,9 @@ RealClosure(TheField): PUB == PRIV where
           (y case TheField) => y::TheField * x
               -- now both are algebraic
           y.order > x.order => 
-            [y.seg,map(x * #1 , y.val),y.outForm,y.order]$Rec
+            [y.seg,map(z+->x*z , y.val),y.outForm,y.order]$Rec
           x.order > y.order => 
-            [x.seg,map( #1 * y , x.val),x.outForm,x.order]$Rec
+            [x.seg,map(z+->z*y , x.val),x.outForm,x.order]$Rec
               -- now x.exp = y.exp
               -- we will multiply the polynomials and then reduce
               -- however wee need to call lessAlgebraic  
diff --git a/changelog b/changelog
index 5ec2cdb..10f2ea6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090516 tpd src/axiom-website/patches.html 20090516.04.tpd.patch
+20090516 tpd books/bookvol10.3 RECLOS +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.03.tpd.patch
 20090516 tpd books/bookvol10.3 RADFF +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7d683e7..b44d6de 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1324,5 +1324,7 @@ compiler.boot fix missing space typos<br/>
 bookvol10.3 PR +-> conversion<br/>
 <a href="patches/20090516.03.tpd.patch">20090516.03.tpd.patch</a>
 bookvol10.3 RADFF +-> conversion<br/>
+<a href="patches/20090516.04.tpd.patch">20090516.04.tpd.patch</a>
+bookvol10.3 RECLOS +-> conversion<br/>
  </body>
 </html>
